<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/25/2004 *
 * ===================                          Last change: 05/05/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-autopurge.php                               *
 * -------------------------------------------------------------------- *
 * Short description : AutoPurge configuration                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : AutoPurge-Konfiguration                          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent()) {
	// Data was submitted so we store it
	adminSaveSettingsFromPostData();
} else {
	// Output de-/activation selections
	$content['ap_inactive_selection']    = addSelectionBox('yn', getAutopurgeInactive()   , 'autopurge_inactive');
	$content['ap_unconfirmed_selection'] = addSelectionBox('yn', getConfig('autopurge_unconfirmed'), 'autopurge_unconfirmed');
	$content['ap_tasks_selection']       = addSelectionBox('yn', getConfig('autopurge_tasks')      , 'autopurge_tasks');
	$content['ap_del_mails_selection']   = addSelectionBox('yn', getConfig('ap_del_mails')         , 'ap_del_mails');

	// Output notification selections
	$content['ap_notify_inactive']    = addSelectionBox('yn', getConfig('ap_in_notify')   , 'ap_in_notify');
	$content['ap_notify_unconfirmed'] = addSelectionBox('yn', getConfig('ap_un_notify')   , 'ap_un_notify');
	$content['ap_notify_tasks']       = addSelectionBox('yn', getConfig('ap_tasks_notify'), 'ap_tasks_notify');
	$content['ap_notify_del_mails']   = addSelectionBox('yn', getConfig('ap_dm_notify')   , 'ap_dm_notify');

	// Output time selection boxes
	$content['ap_in_since']       = createConfigurationTimeSelections('ap_inactive_since'  , 'MWDh');
	$content['ap_in_time']        = createConfigurationTimeSelections('ap_inactive_time'   , 'MWDh');
	$content['ap_un_time']        = createConfigurationTimeSelections('ap_unconfirmed_time', 'MWDh');
	$content['ap_task_time']      = createConfigurationTimeSelections('ap_tasks_time'      , 'MWDh');
	$content['ap_del_mails_time'] = createConfigurationTimeSelections('ap_dm_timeout'      , 'MWDh');

	// Mail confirmation links
	$content['auto_purge'] = createConfigurationTimeSelections('auto_purge', 'MWD');

	// Output template
	loadTemplate('admin_config_autopurge', FALSE, $content);
}

// [EOF]
?>
