<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/23/2003 *
 * ===================                          Last change: 09/23/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-sub_points.php                              *
 * -------------------------------------------------------------------- *
 * Short description : Add manually points to a user                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Manuell einem Mitglied Punkte gutschreiben       *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (getRequestElement('userid') == 'all') {
	// Is the form sent?
	if ((isFormSent()) && (postRequestElement('points') > 0)) {
		// Add points to all accounts
		$content['points'] = bigintval(postRequestElement('points'));

		// Load userid
		$result_main = SQL_QUERY("SELECT `userid`, `email` FROM `{?_MYSQL_PREFIX?}_user_data` WHERE `status`='CONFIRMED' ORDER BY `userid` ASC",
			__FILE__, __LINE__);
		while ($row = SQL_FETCHARRAY($result_main)) {
			// Merge both arrays
			$content = merge_array($content, $row);

			// Ok, add points to used points, send an email to him and ignore return status
			subtractPoints('admin_sub_all', $content['userid'], postRequestElement('points'));

			// Prepare content
			$content = array(
				'reason'  => SQL_ESCAPE(postRequestElement('reason')),
				'points'  => bigintval(postRequestElement('points')),
				'subject' => 'admin_sub_all',
			);

			// Load message and send it away
			$message = loadEmailTemplate('member_sub_points', $content, bigintval($content['userid']));
			sendEmail($row['userid'], '{--ADMIN_SUB_SUBJECT--}', $message);
		} // END - while

		// Free memory
		SQL_FREERESULT($result_main);

		// Output message
		displayMessage('{--ADMIN_ALL_POINTS_SUBTRACTED--}');
	} else {
		// Display form add points
		loadTemplate('admin_sub_points_all');
	}
} elseif (isGetRequestElementSet('userid')) {
	// User id found in URL so we use this give him some credits
	if (fetchUserData(getRequestElement('userid'))) {
		// Selected user does exist
		$content = getUserDataArray();

		if ((isFormSent()) && (isPostRequestElementSet('points'))) {
			// Ok, add to used points, send an email to him and ignore return status
			subtractPoints('admin_sub_single', bigintval(getRequestElement('userid')), postRequestElement('points'));

			// Prepare content
			$content = array(
				'reason'  => SQL_ESCAPE(postRequestElement('reason')),
				'points'  => bigintval(postRequestElement('points')),
				'subject' => 'admin_sub_single',
			);

			// Load email and send it away
			$message = loadEmailTemplate('member_sub_points', $content, bigintval(getRequestElement('userid')));
			sendEmail(getRequestElement('userid'), '{--ADMIN_SUB_SUBJECT--}', $message);

			// Output message
			displayMessage('{--ADMIN_POINTS_SUBTRACTED--}');
		} else {
			// Prepare content
			$content['userid'] = bigintval(getRequestElement('userid'));

			// Load form
			loadTemplate('admin_sub_points', FALSE, $content);
		}
	} else {
		// User not found
		loadTemplate('admin_settings_unsaved', FALSE, '{%message,ADMIN_MEMBER_404=' . bigintval(getRequestElement('userid')) . '%}');
	}
} else {
	// Output selection form with all confirmed user accounts listed
	addMemberSelectionBox(0, TRUE);
}

// [EOF]
?>
