<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/17/2005 *
 * ===================                          Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : welcome.php                                      *
 * -------------------------------------------------------------------- *
 * Short description : Welcome page for sponsor area                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Willkommensseite des Sponsorenbereiches          *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isExtensionActive('sponsor')) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=sponsor%}');
	return;
} elseif (!isSponsor()) {
	// No sponsor!
	addFatalMessage(__FILE__, __LINE__, '{--SPONSOR_ONLY_AREA_ENTERED--}');
	return;
}

// Load some data
$result = SQL_QUERY_ESC('SELECT
	`id`,
	`gender`,
	`surname`,
	`family`,
	(`points_amount` - `points_used`) AS `points`
FROM
	`{?_MYSQL_PREFIX?}_sponsor_data`
WHERE
	`id`=%s
LIMIT 1',
	array(
		bigintval(getSession('sponsor_id'))
	), __FILE__, __LINE__);

// Fetch data
$content = SQL_FETCHARRAY($result);

// Free memory
SQL_FREERESULT($result);

// Load main template
$GLOBALS['sponsor_output'] = loadTemplate('sponsor_welcome', TRUE, $content);

// [EOF]
?>
