/**
 * JavaScript for ext-surfbar - top frame
 * --------------------------------------------------------------------
 * $Revision::                                                        $
 * $Date::                                                            $
 * $Tag:: 0.2.1-FINAL                                                 $
 * $Author::                                                          $
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2012 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

var currCounter = '{%pipe,gerSurfbarReloadTime=$content[url_id]%}';
var maxCounter  = '{%pipe,gerSurfbarReloadTime=$content[url_id]%}';
var counter     = document.getElementById('surfbar_counter');
var points      = document.getElementById('surfbar_points');
var reload      = document.getElementById('surfbar_reload');
var max         = document.getElementById('surfbar_max');
var countDown   = null;

function startStopCounter () {
	if (countDown == null) {
		// Start counter
		document.getElementById('start').innerHTML = '{--MEMBER_SURFBAR_ACTION_PAUSE_SUBMIT--}';
		countDown = window.setInterval('startCounter()', 1000);
	} else {
		document.getElementById('start').innerHTML = '{--MEMBER_SURFBAR_ACTION_UNPAUSE_SUBMIT--}';
		window.clearInterval(countDown);
		countDown = null;
	}
	return false;
}

function init () {
	countDown = window.setInterval('startCounter()', 1000);
	window.setTimeout('initCounter()', 500);
}

function confirm () {
	if (parent.surfbar_url != null) {
		// Is in right frameset
		parent.surfbar_url.location.href = '{%url=surfbar.php?id=$content[url_id]&check=$content[check]&salt=$content[salt]%}';
	} else {
		// Called frame=top directly
		window.location.href = '{%url=surfbar.php%}';
	}
}

function reloadSurfbar () {
	if (parent.surfbar_stats != null) {
		// Is in right frameset
		parent.surfbar_stats.location.reload();
	} else {
		// Called frame=top directly
		window.location.href = '{%url=surfbar.php%}';
	}
	this.location.reload();
}

function initCounter () {
	if (parent.surfbar_url != null) {
		// Is in right frameset
		parent.surfbar_url.location.href = '{%pipe,gerSurfbarUrl=$content[url_id]%}';
	} else {
		// Called frame=top directly
		window.location.href = '{%url=surfbar.php%}';
	}

	counter.innerHTML = '{%pipe,gerSurfbarReloadTime=$content[url_id]%}';
	points.innerHTML  = '{%pipe,gerSurfbarReward,translateComma=$content[url_id]%}';
	reload.innerHTML  = '{%pipe,getSurfbarUserLocks%}';
	max.innerHTML     = '{%pipe,getSurfbarTotalUrls%}';
}

function startCounter () {
	if (currCounter < 1) {
		return false;
	}

	currCounter--;
	counter.innerHTML = currCounter;

	if (currCounter == 0) {
		clearInterval(countDown);
		confirm();
		window.setTimeout('reloadSurfbar()', 500);
	}
}

init();
